View Issue Details

IDProjectCategoryView StatusLast Update
0000233Bacula-Webbugpublic2018-01-04 10:12
ReporterdavideAssigned Todavide 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Platformx86_64OSDebianOS Version8.0 (Jessie)
Product Version8.0.0-rc1 
Target Version8.0.0-rc2Fixed in Version8.0.0-rc2 
Summary0000233: Wrong empty volume's date
DescriptionEmpty volume's last written date looks wrong (see example below)

11-30--0001 00:00:00

Steps To ReproduceDisplay volumes report page with empty volumes in it
TagsNo tags attached.

Activities

davide

2018-01-04 10:04

manager   ~0000720

Found the problem

With MySQL bacula catalog, default value for Media.LastWritten is 0000-00-00 00:00:00.
For postgreSQL, default value is NULL.

davide

2018-01-04 10:11

manager   ~0000721

Bug fixed in commit https://github.com/bacula-web/bacula-web/commit/b4b4edaba6b5f411fb7fd8dcd5415abe1cd4b90f

Issue History

Date Modified Username Field Change
2017-12-26 18:06 davide New Issue
2017-12-26 18:07 davide Target Version => 8.0.0-rc2
2018-01-04 09:38 davide Summary Wrong emplty volume's date => Wrong empty volume's date
2018-01-04 10:01 davide Description Updated View Revisions
2018-01-04 10:04 davide Note Added: 0000720
2018-01-04 10:11 davide Note Added: 0000721
2018-01-04 10:12 davide Assigned To => davide
2018-01-04 10:12 davide Status new => resolved
2018-01-04 10:12 davide Resolution open => fixed
2018-01-04 10:12 davide Fixed in Version => 8.0.0-rc2